{
    fetchFromGitHub, lib, stdenv, pkg-config, installShellFiles, libxcb,
    xcbutilkeysyms, xcbutil, xcbutilwm, xcbutilxrm, libstartup_notification, libX11, pcre,
    libev, yajl, xcb-util-cursor, perl, pango, perlPackages, libxkbcommon, xorgserver,
    xvfb-run, asciidoc, xmlto, docbook_xml_dtd_45, docbook_xsl, findXMLCatalogs,
    autoconf, autoreconfHook
}:

with stdenv; mkDerivation rec {
	pname = "i3-gaps-rounded";
	version = "4.16.1-non-git";

	src = fetchFromGitHub {
		owner = "resloved";
		repo = "i3";
		rev = "b521c18ca1bca1c16d3fd69214ad3972bffc9e42";
		sha256 = "0w4akd7mkdm4xlv2ai2hyjn45f1qgzj5g6n09hrcns1zv4nffcch";
	};

	nativeBuildInputs = [
		pkg-config
		installShellFiles
		perl
		asciidoc
		xmlto
		docbook_xml_dtd_45
		docbook_xsl
		findXMLCatalogs
		autoreconfHook
	];

	buildInputs = [
        libxcb xcbutilkeysyms xcbutil xcbutilwm xcbutilxrm libxkbcommon
        libstartup_notification libX11 pcre libev yajl xcb-util-cursor perl pango
        perlPackages.AnyEventI3 perlPackages.X11XCB perlPackages.IPCRun
        perlPackages.ExtUtilsPkgConfig perlPackages.InlineC
        xorgserver xvfb-run
	];

	doCheck = false;

	postPatch = ''
        patchShebangs .
  	'';

  	buildPhase = ''
		cd x86_64-pc-linux-gnu
		make all
  	'';
}
