{ pkgs, config, ... }:

{
	home-manager.users."riley" = {
		programs.alacritty = {
			enable = true;
			settings = {

				window.padding = { x = 8; y = 8; };

				font = {
    				normal = { family = "Fira Code"; style = "Regular"; };
    				bold   = { family = "Fira Code"; style = "Medium"; };
				};

    			colors = with (import ../colors.nix)."dark".hex; {

        				primary = {
            				background = background.primary;
            				foreground = foreground.primary;
        				};

        				normal = {
							red     = red.normal;
							green   = green.normal;
							blue    = blue.normal;
							magenta = purple.normal;
							yellow  = yellow.normal;
							cyan    = cyan.normal;
        				};

        				bright = {
							red     = red.bright;
							green   = green.bright;
							blue    = blue.bright;
							magenta = purple.bright;
							yellow  = yellow.bright;
							cyan    = cyan.bright;
        				};
        			};
    			};

    		};
	};
}
