# Haskell text faces and other stuff related to syntax highlighting
# for Haskell in Kakoune, because I prefer different color arrangements
# per language.

{ theme, pkgs, ... }: pkgs.writeTextFile (rec {
    name = "rust.kak";
    destination = "/share/kak/colors/${name}";
    text = with theme; ''

    	# Types
		face global variant 	rgb:${green.bright}+b
		face global enum		rgb:${green.bright}+b
		face global struct		rgb:${red.pastel}+b
		face global alias		rgb:${orange.normal}+b
		face global primitive	rgb:${misc.teal}+b
		face global trait		rgb:${purple.bright}+b
		face global union		rgb:${misc.lime}+b

		# Other Rust-specific syntax elements
		face global lifetime	rgb:${cyan.bright}
		face global format		rgb:${orange.bright}+b
		face global macro		rgb:fc4cbf+b

		# Keywords
    	face global keyword		rgb:${blue.normal}

		# Literals
		face global literal		rgb:${yellow.bright}
		face global string 		rgb:${yellow.bright}

		# Items
		face global function	rgb:${green.normal}
		face global method		function
		face global module		rgb:${misc.blueGrey}

		# Other stuff
		face global attribute	comment
		face global variable	rgb:${foreground.normal}
		face global property	rgb:${misc.lime}
		face global operator	rgb:${yellow.normal}
		face global punctuation	rgb:${foreground.normal}

    '';
})
